com.r3corda.contracts.testing / fillWithSomeTestCash

# fillWithSomeTestCash

`fun ServiceHub.fillWithSomeTestCash(howMuch: Amount<Currency>, notary: Party = DUMMY_NOTARY, atLeastThisManyStates: Int = 3, atMostThisManyStates: Int = 10, rng: Random = Random(), ref: OpaqueBytes = OpaqueBytes(ByteArray(1, { 0 }))): Wallet`

Creates a random set of between (by default) 3 and 10 cash states that add up to the given amount and adds them to the wallet. This is intended for unit tests.

The cash is self issued with the current nodes identity, as fetched from the storage service. Thus it would not be trusted by any sensible market participant and is effectively an IOU. If it had been issued by the central bank, well ... thatd be a different story altogether.

The service hub needs to provide at least a key management service and a storage service.

Return
a wallet object that represents the generated states (it will NOT be the full wallet from the service hub)